org.apache.myfaces.trinidad.component.core.input

## Class CoreInputNumberSpinbox

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXValue
        - - org.apache.myfaces.trinidad.component.UIXEditableValue
          - - org.apache.myfaces.trinidad.component.UIXInput
            - - org.apache.myfaces.trinidad.component.core.input.CoreInputNumberSpinbox

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class CoreInputNumberSpinbox
      extends UIXInput
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The inputNumberSpinbox component creates a browser input widget and up/down arrows. It is used to enter numbers and quickly step through the numbers using the up/down arrows. The number needs to be within the minimum and maximum. It also supports displaying a label, text, and messages.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `javax.faces.event.ValueChangeEvent` | Process Validations Apply Request Values | The valueChange event is delivered when the value attribute is changed.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyKey` | `ACCESS_KEY_KEY`
    `static PropertyKey` | `AUTO_COMPLETE_KEY`
    `static String` | `AUTO_COMPLETE_OFF`
    `static String` | `AUTO_COMPLETE_ON`
    `static PropertyKey` | `AUTO_SUBMIT_KEY`
    `static PropertyKey` | `COLUMNS_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `CONTENT_STYLE_KEY`
    `static PropertyKey` | `DISABLED_KEY`
    `static String` | `HELP_FACET`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `LABEL_KEY`
    `static PropertyKey` | `MAXIMUM_KEY`
    `static PropertyKey` | `MINIMUM_KEY`
    `static PropertyKey` | `ONBLUR_KEY`
    `static PropertyKey` | `ONCHANGE_KEY`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONFOCUS_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `ONSELECT_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `READ_ONLY_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `SHOW_REQUIRED_KEY`
    `static PropertyKey` | `SIMPLE_KEY`
    `static PropertyKey` | `STEP_SIZE_KEY`
    `static String` | `STYLE_CLASS_AFFIELD_NUMBER_MARKER`
    `static String` | `STYLE_CLASS_AFFIELD_TEXT_LTRMARKER`
    `static String` | `STYLE_CLASS_AFFIELD_TEXT_MARKER`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static FacesBean.Type` | `TYPE`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `CONVERSION_MESSAGE_ID, IMMEDIATE_KEY, LOCAL_VALUE_SET_KEY, REQUIRED_KEY, REQUIRED_MESSAGE_DETAIL_KEY, REQUIRED_MESSAGE_ID, SUBMITTED_VALUE_KEY, TRINIDAD_BEAN_VALIDATION_AVAILABLE, TRINIDAD_EMPTY_VALUES_AS_NULL_PARAM_NAME, VALID_KEY, VALIDATE_EMPTY_FIELDS_PARAM_NAME, VALIDATOR_KEY, VALIDATORS_KEY, VALUE_CHANGE_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `CONVERTER_KEY, VALUE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CoreInputNumberSpinbox()` Construct an instance of the CoreInputNumberSpinbox.
    `protected` | `CoreInputNumberSpinbox(String rendererType)` Construct an instance of the CoreInputNumberSpinbox.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `char` | `getAccessKey()` Gets Character used to gain quick access to the form element specified by the `for`, if set (or this component itself, if it is a "non-simple" form element).
    `String` | `getAutoComplete()` Gets whether previous values of text fields in the form should be remembered and offered for auto completion.
    `protected FacesBean.Type` | `getBeanType()`
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `int` | `getColumns()` Gets the number of columns to display in the text control.
    `String` | `getContentStyle()` Gets the CSS styles to attach to the content of the component.
    `String` | `getDefaultEventName()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `javax.faces.component.UIComponent` | `getHelp()` This facet should contain field level help.
    `String` | `getInlineStyle()` Gets the inline CSS style for this element
    `String` | `getLabel()` Gets the label of the bean.
    `int` | `getMaximum()` Gets The maximum number allowed in the input field.
    `int` | `getMinimum()` Gets The minimum number allowed in the input field.
    `String` | `getOnblur()` Gets the event handler for the component losing the focus.
    `String` | `getOnchange()` Gets event handler for when the value is changed.
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnfocus()` Gets the event handler for the component gaining the focus.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String` | `getOnselect()` Gets event handler for when text becomes selected.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getShortDesc()` Gets the short description of the bean.
    `int` | `getStepSize()` Gets The step size by which the spinbox will increase or decrease the number in the input.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `boolean` | `isAutoSubmit()` Gets If set to TRUE on a form element, the component will automatically submit the enclosing form when an appropriate action takes place (a click, text change, etc.).
    `boolean` | `isDisabled()` Gets whether the element is disabled.
    `boolean` | `isReadOnly()` Gets whether the element is read-only.
    `boolean` | `isShowRequired()` Gets whether the associated control displays a visual indication of required user input.
    `boolean` | `isSimple()` Gets a boolean value that controls whether the component provides label and message support; when set to "true", the component will not display messaging support or the label (these attributes may be ignored: label, labelAndAccessKey, accessKey, showRequired, tip), and may use simpler layout primitives
    `void` | `setAccessKey(char accessKey)` Sets Character used to gain quick access to the form element specified by the `for`, if set (or this component itself, if it is a "non-simple" form element).
    `void` | `setAutoComplete(String autoComplete)` Sets whether previous values of text fields in the form should be remembered and offered for auto completion.
    `void` | `setAutoSubmit(boolean autoSubmit)` Sets If set to TRUE on a form element, the component will automatically submit the enclosing form when an appropriate action takes place (a click, text change, etc.).
    `void` | `setColumns(int columns)` Sets the number of columns to display in the text control.
    `void` | `setContentStyle(String contentStyle)` Sets the CSS styles to attach to the content of the component.
    `void` | `setDisabled(boolean disabled)` Sets whether the element is disabled.
    `void` | `setHelp(javax.faces.component.UIComponent helpFacet)` This facet should contain field level help.
    `void` | `setInlineStyle(String inlineStyle)` Sets the inline CSS style for this element
    `void` | `setLabel(String label)` Sets the label of the bean.
    `void` | `setMaximum(int maximum)` Sets The maximum number allowed in the input field.
    `void` | `setMinimum(int minimum)` Sets The minimum number allowed in the input field.
    `void` | `setOnblur(String onblur)` Sets the event handler for the component losing the focus.
    `void` | `setOnchange(String onchange)` Sets event handler for when the value is changed.
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnfocus(String onfocus)` Sets the event handler for the component gaining the focus.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setOnselect(String onselect)` Sets event handler for when text becomes selected.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setReadOnly(boolean readOnly)` Sets whether the element is read-only.
    `void` | `setShortDesc(String shortDesc)` Sets the short description of the bean.
    `void` | `setShowRequired(boolean showRequired)` Sets whether the associated control displays a visual indication of required user input.
    `void` | `setSimple(boolean simple)` Sets a boolean value that controls whether the component provides label and message support; when set to "true", the component will not display messaging support or the label (these attributes may be ignored: label, labelAndAccessKey, accessKey, showRequired, tip), and may use simpler layout primitives
    `void` | `setStepSize(int stepSize)` Sets The step size by which the spinbox will increase or decrease the number in the input.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `addValidator, addValueChangeListener, addValueUpdatedListener, broadcast, compareValues, getConvertedValue, getRequiredMessageDetail, getRequiredMessageKey, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, removeValueUpdatedListener, resetValue, setImmediate, setLocalValueSet, setRequired, setRequiredMessageDetail, setSubmittedValue, setValid, setValidator, setValueChangeListener, shouldInterpretEmptyStringSubmittedValuesAsNull, shouldValidateEmptyFields, updateModel, validate, validateValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `getConverter, getLocalValue, getValue, setConverter, setValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter, setValue`

- - ### Field Detail

    - #### AUTO_COMPLETE_ON

          public static final String AUTO_COMPLETE_ON

      See Also:
        Constant Field Values

    - #### AUTO_COMPLETE_OFF

          public static final String AUTO_COMPLETE_OFF

      See Also:
        Constant Field Values

    - #### STYLE_CLASS_AFFIELD_TEXT_MARKER

          public static final String STYLE_CLASS_AFFIELD_TEXT_MARKER

      See Also:
        Constant Field Values

    - #### STYLE_CLASS_AFFIELD_TEXT_LTRMARKER

          public static final String STYLE_CLASS_AFFIELD_TEXT_LTRMARKER

      See Also:
        Constant Field Values

    - #### STYLE_CLASS_AFFIELD_NUMBER_MARKER

          public static final String STYLE_CLASS_AFFIELD_NUMBER_MARKER

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### CONTENT_STYLE_KEY

          public static final PropertyKey CONTENT_STYLE_KEY

    - #### READ_ONLY_KEY

          public static final PropertyKey READ_ONLY_KEY

    - #### DISABLED_KEY

          public static final PropertyKey DISABLED_KEY

    - #### AUTO_COMPLETE_KEY

          public static final PropertyKey AUTO_COMPLETE_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### LABEL_KEY

          public static final PropertyKey LABEL_KEY

    - #### SIMPLE_KEY

          public static final PropertyKey SIMPLE_KEY

    - #### ONCHANGE_KEY

          public static final PropertyKey ONCHANGE_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### ONBLUR_KEY

          public static final PropertyKey ONBLUR_KEY

    - #### ONFOCUS_KEY

          public static final PropertyKey ONFOCUS_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### SHOW_REQUIRED_KEY

          public static final PropertyKey SHOW_REQUIRED_KEY

    - #### COLUMNS_KEY

          public static final PropertyKey COLUMNS_KEY

    - #### MAXIMUM_KEY

          public static final PropertyKey MAXIMUM_KEY

    - #### MINIMUM_KEY

          public static final PropertyKey MINIMUM_KEY

    - #### STEP_SIZE_KEY

          public static final PropertyKey STEP_SIZE_KEY

    - #### ONSELECT_KEY

          public static final PropertyKey ONSELECT_KEY

    - #### ACCESS_KEY_KEY

          public static final PropertyKey ACCESS_KEY_KEY

    - #### AUTO_SUBMIT_KEY

          public static final PropertyKey AUTO_SUBMIT_KEY

    - #### HELP_FACET

          public static final String HELP_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreInputNumberSpinbox

          public CoreInputNumberSpinbox()

      Construct an instance of the CoreInputNumberSpinbox.

    - #### CoreInputNumberSpinbox

          protected CoreInputNumberSpinbox(String rendererType)

      Construct an instance of the CoreInputNumberSpinbox.

  - ### Method Detail

    - #### getHelp

          public final javax.faces.component.UIComponent getHelp()

      This facet should contain field level help.

    - #### setHelp

          public final void setHelp(javax.faces.component.UIComponent helpFacet)

      This facet should contain field level help.

    - #### getContentStyle

          public final String getContentStyle()

      Gets the CSS styles to attach to the content of the component. For example, you can set the width of that portion to 100 pixels by setting this attribute to "width: 100px".
      Returns:
        the new contentStyle value

    - #### setContentStyle

          public final void setContentStyle(String contentStyle)

      Sets the CSS styles to attach to the content of the component. For example, you can set the width of that portion to 100 pixels by setting this attribute to "width: 100px".
      Parameters:
        `contentStyle` - the new contentStyle value

    - #### isReadOnly

          public final boolean isReadOnly()

      Gets whether the element is read-only.
      Returns:
        the new readOnly value

    - #### setReadOnly

          public final void setReadOnly(boolean readOnly)

      Sets whether the element is read-only.
      Parameters:
        `readOnly` - the new readOnly value

    - #### isDisabled

          public final boolean isDisabled()

      Gets whether the element is disabled.
      Returns:
        the new disabled value

    - #### setDisabled

          public final void setDisabled(boolean disabled)

      Sets whether the element is disabled.
      Parameters:
        `disabled` - the new disabled value

    - #### getAutoComplete

          public final String getAutoComplete()

      Gets whether previous values of text fields in the form should be remembered and offered for auto completion.
      Returns:
        the new autoComplete value

    - #### setAutoComplete

          public final void setAutoComplete(String autoComplete)

      Sets whether previous values of text fields in the form should be remembered and offered for auto completion.
      Parameters:
        `autoComplete` - the new autoComplete value

    - #### getShortDesc

          public final String getShortDesc()

      Gets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getLabel

          public final String getLabel()

      Gets the label of the bean.
      Returns:
        the new label value

    - #### setLabel

          public final void setLabel(String label)

      Sets the label of the bean.
      Parameters:
        `label` - the new label value

    - #### isSimple

          public final boolean isSimple()

      Gets a boolean value that controls whether the component provides label and message support; when set to "true", the component will not display messaging support or the label (these attributes may be ignored: label, labelAndAccessKey, accessKey, showRequired, tip), and may use simpler layout primitives
      Returns:
        the new simple value

    - #### setSimple

          public final void setSimple(boolean simple)

      Sets a boolean value that controls whether the component provides label and message support; when set to "true", the component will not display messaging support or the label (these attributes may be ignored: label, labelAndAccessKey, accessKey, showRequired, tip), and may use simpler layout primitives
      Parameters:
        `simple` - the new simple value

    - #### getOnchange

          public final String getOnchange()

      Gets event handler for when the value is changed.
      Returns:
        the new onchange value

    - #### setOnchange

          public final void setOnchange(String onchange)

      Sets event handler for when the value is changed.
      Parameters:
        `onchange` - the new onchange value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### getOnblur

          public final String getOnblur()

      Gets the event handler for the component losing the focus.
      Returns:
        the new onblur value

    - #### setOnblur

          public final void setOnblur(String onblur)

      Sets the event handler for the component losing the focus.
      Parameters:
        `onblur` - the new onblur value

    - #### getOnfocus

          public final String getOnfocus()

      Gets the event handler for the component gaining the focus.
      Returns:
        the new onfocus value

    - #### setOnfocus

          public final void setOnfocus(String onfocus)

      Sets the event handler for the component gaining the focus.
      Parameters:
        `onfocus` - the new onfocus value

    - #### getStyleClass

          public final String getStyleClass()

      Gets
      a CSS style class to use for this component. The styleClass attribute value is rendered on the root dom element. We provide some public style classes you can use that will affect only the 'content' piece of the component: AFFieldTextMarker, AFFieldTextLTRMarker, AFFieldNumberMarker.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets
      a CSS style class to use for this component. The styleClass attribute value is rendered on the root dom element. We provide some public style classes you can use that will affect only the 'content' piece of the component: AFFieldTextMarker, AFFieldTextLTRMarker, AFFieldNumberMarker.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the inline CSS style for this element
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the inline CSS style for this element
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### isShowRequired

          public final boolean isShowRequired()

      Gets whether the associated control displays a visual indication of required user input. If a "required" attribute is also present, both the "required" attribute and the "showRequired" attribute must be false for the visual indication not to be displayed.
      Returns:
        the new showRequired value

    - #### setShowRequired

          public final void setShowRequired(boolean showRequired)

      Sets whether the associated control displays a visual indication of required user input. If a "required" attribute is also present, both the "required" attribute and the "showRequired" attribute must be false for the visual indication not to be displayed.
      Parameters:
        `showRequired` - the new showRequired value

    - #### getColumns

          public final int getColumns()

      Gets the number of columns to display in the text control. If no value is specified, a default of 1 columns is used. One column is approximately one character in the browser's current display font.
      Returns:
        the new columns value

    - #### setColumns

          public final void setColumns(int columns)

      Sets the number of columns to display in the text control. If no value is specified, a default of 1 columns is used. One column is approximately one character in the browser's current display font.
      Parameters:
        `columns` - the new columns value

    - #### getMaximum

          public final int getMaximum()

      Gets The maximum number allowed in the input field.
      Returns:
        the new maximum value

    - #### setMaximum

          public final void setMaximum(int maximum)

      Sets The maximum number allowed in the input field.
      Parameters:
        `maximum` - the new maximum value

    - #### getMinimum

          public final int getMinimum()

      Gets The minimum number allowed in the input field.
      Returns:
        the new minimum value

    - #### setMinimum

          public final void setMinimum(int minimum)

      Sets The minimum number allowed in the input field.
      Parameters:
        `minimum` - the new minimum value

    - #### getStepSize

          public final int getStepSize()

      Gets The step size by which the spinbox will increase or decrease the number in the input.
      Returns:
        the new stepSize value

    - #### setStepSize

          public final void setStepSize(int stepSize)

      Sets The step size by which the spinbox will increase or decrease the number in the input.
      Parameters:
        `stepSize` - the new stepSize value

    - #### getOnselect

          public final String getOnselect()

      Gets event handler for when text becomes selected.
      Returns:
        the new onselect value

    - #### setOnselect

          public final void setOnselect(String onselect)

      Sets event handler for when text becomes selected.
      Parameters:
        `onselect` - the new onselect value

    - #### getAccessKey

          public final char getAccessKey()

      Gets
      Character used to gain quick access to the form element specified by the `for`, if set (or this component itself, if it is a "non-simple" form element). For accessibility reasons, this functionality is not supported in screen reader mode. If the same access key appears in multiple locations in the same page of output, the rendering user agent will cycle among the elements accessed by the similar keys.

      This attribute is sometimes referred to as the "mnemonic".

      Returns:
        the new accessKey value

    - #### setAccessKey

          public final void setAccessKey(char accessKey)

      Sets
      Character used to gain quick access to the form element specified by the `for`, if set (or this component itself, if it is a "non-simple" form element). For accessibility reasons, this functionality is not supported in screen reader mode. If the same access key appears in multiple locations in the same page of output, the rendering user agent will cycle among the elements accessed by the similar keys.

      This attribute is sometimes referred to as the "mnemonic".

      Parameters:
        `accessKey` - the new accessKey value

    - #### isAutoSubmit

          public final boolean isAutoSubmit()

      Gets If set to TRUE on a form element, the component will automatically submit the enclosing form when an appropriate action takes place (a click, text change, etc.).
      Returns:
        the new autoSubmit value

    - #### setAutoSubmit

          public final void setAutoSubmit(boolean autoSubmit)

      Sets If set to TRUE on a form element, the component will automatically submit the enclosing form when an appropriate action takes place (a click, text change, etc.).
      Parameters:
        `autoSubmit` - the new autoSubmit value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `UIXComponentBase`
      Returns:
        null
      See Also:
        `ClientBehaviorHolder.getDefaultEventName()`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `UIXComponentBase`
      Returns:
        Read-only map of the client behaviors for this component
      See Also:
        `ClientBehaviorHolder.getClientBehaviors()`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                               javax.faces.component.behavior.ClientBehavior behavior)

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `UIXComponentBase`
      Parameters:
        `eventName` - The event name
        `behavior` - The behavior to add
      See Also:
        `ClientBehaviorHolder.addClientBehavior(String, ClientBehavior)`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXInput`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXInput`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.